Package org.bukkit.block.data

# Interface Lightable

All Superinterfaces:
  `BlockData`, `Cloneable`

All Known Subinterfaces:
  `Campfire`, `Candle`, `Furnace`, `RedstoneWallTorch`

public interface Lightable extends BlockData
'lit' denotes whether this block (either a redstone torch or furnace) is currently lit - that is not burned out.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLit()`
Gets the value of the 'lit' property.
`void`
`setLit(boolean lit)`
Sets the value of the 'lit' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### isLit

boolean isLit()
Gets the value of the 'lit' property.

Returns:
  the 'lit' value

### setLit

void setLit(boolean lit)
Sets the value of the 'lit' property.

Parameters:
  `lit` - the new 'lit' value